PROGRAM BPGNVIEW;

uses
  Forms,
  MAIN in 'MAIN.PAS' {MainForm},
  Ini1 in 'Ini1.pas',
  GLOBAL in 'Global.pas',
  TOOLBOX in 'Toolbox.pas',
  BOARD in 'Board.pas',
  CHESS in 'Chess.pas',
  PROMOTE in 'Promote.pas' {fPromote},
  BOARD1 in 'Board1.pas' {Board1Form},
  COMMENT in 'COMMENT.PAS' {CommentForm},
  NAVIGATE in 'NAVIGATE.pas' {NavigateForm},
  NEXTMOVE in 'NEXTMOVE.PAS' {NextMoveForm},
  GAMELIST in 'Gamelist.pas' {GameListForm},
  ABOUT in 'About.pas' {AboutForm},
  MISC in 'Misc.pas',
  ANNOTATE in 'Annotate.pas' {AnnotateForm},
  HANDLE in 'HANDLE.pas' {HandleForm},
  RATING in 'RATING.pas' {RatingForm},
  CLOCK in 'CLOCK.pas' {ClockForm},
  EXTRACT in 'EXTRACT.PAS' {ExtractForm},
  PrevMove in 'PrevMove.pas' {PrevMoveForm},
  VIEWACT in 'VIEWACT.PAS' {ViewActualForm},
  EVENT in 'EVENT.PAS' {EventForm},
  Site in 'Site.pas' {SiteForm},
  EnterDt in 'EnterDt.pas' {DateForm},
  EnterTC in 'EnterTC.pas' {TimeForm},
  EnterRC in 'EnterRC.pas' {ResultForm},
  PICKDIR in 'PICKDIR.PAS' {PickDirForm},
  BPGNx in 'Bpgnx.pas',
  FCD in 'Fcd.pas' {FCDForm},
  Viewtxt in 'Viewtxt.pas' {ViewTXTForm},
  KEYMAP in 'Keymap.pas' {KeyMapForm},
  PIECEMAP in 'Piecemap.pas' {PieceMapForm},
  Txtcmap in 'Txtcmap.pas' {TXTCMapForm},
  EngineOut in 'EngineOut.pas' {EngineForm},
  ZhEngine in 'ZhEngine.pas',
  EngineRead in 'EngineRead.pas',
  EngComLine in 'EngComLine.pas' {ComLineForm},
  Sjeng in 'Sjeng.pas',
  engann in 'engann.pas' {EngAnForm},
  readme in 'readme.pas' {Readmeform},
  associate in 'associate.pas',
  Soundopt in 'Soundopt.pas' {SoundForm},
  boardcfg in 'boardcfg.pas' {boardcfg},
  toups in 'toups.pas',
  merge in 'merge.pas' {MergeForm},
  split in 'split.pas' {SplitForm},
  filter in 'filter.pas' {FForm},
  stat in 'stat.pas' {StatsForm},
  bpgnlist in 'bpgnlist.pas',
  posdb1 in 'posdb1.pas',
  setupall in 'setupall.pas' {setupallform},
  SynchedThreads in 'SynchedThreads.pas',
  TXT in 'Txt.pas' {TXTForm};

{$E exe}

{$R *.RES}
begin
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TBoard1Form, Board1Form);
  Application.CreateForm(TBoard1Form, Board2Form);
  Application.CreateForm(TCommentForm, CommentForm);
  Application.CreateForm(TNextMoveForm, NextMoveForm);
  Application.CreateForm(TGameListForm, GameListForm);
  Application.CreateForm(TPrevMoveForm, PrevMoveForm);
  Application.CreateForm(TfForm, fForm);
  Application.CreateForm(TNavigateForm, NavigateForm);
  MainForm.FormShow(Mainform);
  Application.Run;
end.
