(*============================================================================*)
(* readme.PAS -- Readme file form                                             *)
(*----------------------------------------------------------------------------*)
(*                                                                            *)
(* BPGNVIEW.EXE -- BPGN file viewer.                                          *)
(* Copyright (C) 1998  Zon Juan Jan, 2002-2005 Fermy                          *)
(*                                                                            *)
(* This program is free software; you can redistribute it and/or              *)
(* modify it under the terms of the GNU General Public License                *)
(* as published by the Free Software Foundation; either version 2             *)
(* of the License, or (at your option) any later version.                     *)
(*                                                                            *)
(* This program is distributed in the hope that it will be useful,            *)
(* but WITHOUT ANY WARRANTY; without even the implied warranty of             *)
(* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *)
(* GNU General Public License for more details.                               *)
(*                                                                            *)
(* You should have received a copy of the GNU General Public License          *)
(* along with this program; if not, write to the Free Software Foundation,    *)
(* Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            *)
(*                                                                            *)
(*----------------------------------------------------------------------------*)
(* HISTORY                                                                    *)
(* -------                                                                    *)
(* 2002.01.03: First construction.                                            *)
// 2005.02.22: Modified to open generic RTF file: added Setup, modified FormActivate
(*============================================================================*)

unit readme;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls,
  misc,Global;

type
  TReadmeform = class(TForm)
    RichEdit1: TRichEdit;
    procedure FormActivate(Sender: TObject);
    PROCEDURE Memo1KeyPress(Sender: TObject; VAR Key: Char);
  private
    cFname:string;
    { Private declarations }
  public
    procedure Setup(cTitle,cFile:string);
    { Public declarations }
  end;


implementation

{$R *.DFM}

{$I-}
procedure TReadmeform.FormActivate(Sender: TObject);
begin
 try
  RichEdit1.Enabled  := TRUE;
  RichEdit1.ReadOnly := TRUE;
  Richedit1.Lines.LoadFromFile(cFname);
 except
  Werror('Can not open file '+EOL_STR+cFname);
 end;
end;

procedure TreadmeForm.Setup(cTitle,cFile:string);
begin
   cFname:=cFile;
   Caption:=cTitle;
end;

PROCEDURE TReadmeForm.Memo1KeyPress(Sender: TObject; VAR Key: Char);
BEGIN
    IF (Key = ESC_ASCII_CHAR) THEN
        Close;
END;

end.
