unit bpgnthread;

interface

Uses
    Classes, windows,Global,bpgnx;

const
 THREAD_WORKING=10;
type

 TDBthread=class(Tthread)
 private
  bpgn:Tbpgn;
  fname:string;
 protected
   procedure Execute; override;
  public
   fResult:integer;
   constructor CreateIt(var fbpgn:tbpgn;s:string);
   destructor destroy; override;
 end;

implementation

destructor tdbthread.Destroy;
begin
   {PostMessage(form1.Handle,wm_ThreadDoneMsg,self.ThreadID,0);

     This posts a message to the main form, tells us when and which thread
     is done executing.
   }
   inherited destroy;
end;

constructor tdbthread.CreateIt(var fbpgn:tbpgn;s:string);
begin
  inherited Create(true);      // Create thread suspended
  Priority := TThreadPriority(tpHigher); // Set Priority Level
  FreeOnTerminate := false; // Thread Free Itself when terminated
  BPGN:=fbpgn;    // Set reference
  Suspended := false;
 fname:=s;
 fResult:=THREAD_WORKING;
end;

procedure tdbthread.Execute;
var res:INTEGER;
begin
res:=bpgn.SavePosDb(fname);
fResult:=res;
end;

end.
