unit longthread;

interface
uses Windows, Classes, SysUtils, Forms,variants;

Type ThandleArray=array [0..1] of Thandle;
type
TThreadMethod = procedure (Data: pointer) of object;
Type TLongThread = Class(Tobject)
                  public
                    bAbort:boolean;
                    constructor CreateWait( _Action: TThreadMethod;
                                            _Data:   pointer);
                    procedure MsgWaitFor;
                    procedure AbortThread;
                  private
                    aHandles: ThandleArray;
                    destructor Destroy; override;
                    procedure Run(MsgWait: boolean);
                end;
implementation

constructor TLongThread.CreateWait(_Action:TThreadMethod; _Data:pointer);
begin
  bAbort:=false;
  aHandles[1]:=CreateEvent(Nil, True, False, Nil);
  Assert(aHandles[1] <> NULL);
  aHANDLEs[0]:=CreateThread(

    LPSECURITY_ATTRIBUTES lpThreadAttributes,	// pointer to thread security attributes
    DWORD dwStackSize,	// initial thread stack size, in bytes
    LPTHREAD_START_ROUTINE lpStartAddress,	// pointer to thread function
    LPVOID lpParameter,	// argument for new thread
    DWORD dwCreationFlags,	// creation flags
    LPDWORD lpThreadId 	// pointer to returned thread identifier
   );

end;
end.
